MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OptionDef Class Reference

Command line option definition. More...

`#include <OptionDef.hxx>`

## Public Member Functions
constexpr | OptionDef (const char *_long_option, const char *_desc)
constexpr | OptionDef (const char *_long_option, char _short_option, const char *_desc)
bool | HasLongOption () const
bool | HasShortOption () const
bool | HasDescription () const
const char * | GetLongOption () const
char | GetShortOption () const
const char * | GetDescription () const

## Detailed Description

Command line option definition.

Definition at line 26 of file OptionDef.hxx.

## Constructor & Destructor Documentation

constexpr OptionDef::OptionDef | ( | const char * | _long_option,
|  | const char * | _desc
| ) |  |
| inline

Definition at line 32 of file OptionDef.hxx.

constexpr OptionDef::OptionDef | ( | const char * | _long_option,
|  | char | _short_option,
|  | const char * | _desc
| ) |  |
| inline

Definition at line 37 of file OptionDef.hxx.

## Member Function Documentation

const char* OptionDef::GetDescription | ( |  | ) | const
| inline

Definition at line 57 of file OptionDef.hxx.

const char* OptionDef::GetLongOption | ( |  | ) | const
| inline

Definition at line 47 of file OptionDef.hxx.

char OptionDef::GetShortOption | ( |  | ) | const
| inline

Definition at line 52 of file OptionDef.hxx.

bool OptionDef::HasDescription | ( |  | ) | const
| inline

Definition at line 45 of file OptionDef.hxx.

bool OptionDef::HasLongOption | ( |  | ) | const
| inline

Definition at line 43 of file OptionDef.hxx.

bool OptionDef::HasShortOption | ( |  | ) | const
| inline

Definition at line 44 of file OptionDef.hxx.

The documentation for this class was generated from the following file:

- util/OptionDef.hxx